Page MenuHomePhabricator

Wikitech page is showing parser strip marker
Closed, InvalidPublic

Related Objects

Event Timeline

Krenair created this task.Jun 16 2018, 12:49 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 16 2018, 12:49 PM

Interestingly if I dump the page wikitext into Special:ExpandTemplates it doesn't do this

The template it's using creates this bit with a {{#invoke:String, don't know if that Scribunto code is supposed to be able to get at parser internals like this.

To be honest I'm not sure how to tell if this is actually a MW parser problem, Scribunto extension problem, or a problem with the String module on wikitech

Anomie closed this task as Invalid.Jun 16 2018, 6:15 PM
Anomie added a subscriber: Anomie.

It's not an issue in Scribunto.

What's going on is that the code in Template:Nova_Project is passing {{Nova_Resource:deployment-prep/SAL}} into String.clip. Part of each header is an empty strip marker. The clip call is cutting one of those markers so it can't be expanded.

Somewhere in there you'd probably want to pass the data through the Scribunto mw.text.killMarkers() function to remove the markers before doing the clip.

Thanks, I did https://wikitech.wikimedia.org/w/index.php?title=Module:String&diff=1794872&oldid=120277 and then null-edited the page it showed on. Looks fine now.

Vvjjkkii renamed this task from Wikitech page is showing parser strip marker to xsaaaaaaaa.Jul 1 2018, 1:03 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from xsaaaaaaaa to Wikitech page is showing parser strip marker.Jul 2 2018, 4:51 AM
CommunityTechBot closed this task as Invalid.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
Aklapper removed a subscriber: Anomie.Oct 16 2020, 5:28 PM